Package org.apache.commons.collections4.iterators

# Class AbstractEmptyMapIterator<K,V>

java.lang.Object
org.apache.commons.collections4.iterators.AbstractEmptyMapIterator<K,V>

Type Parameters:
  `K` - The type of keys.
  `V` - The type of mapped values.

All Implemented Interfaces:
  `Iterator<K>`, `ResettableIterator<K>`

Direct Known Subclasses:
  `EmptyMapIterator`, `EmptyOrderedMapIterator`

public abstract class AbstractEmptyMapIterator<K,V> extends Object
Provides an implementation of an empty map iterator.

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractEmptyMapIterator()`
  Constructs a new AbstractEmptyMapIterator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(K ignored)`
  Deprecated.
  Will be removed in 5.0 without replacement.
  `K`
  `getKey()`
  Always throws IllegalStateException.
  `V`
  `getValue()`
  Always throws IllegalStateException.
  `boolean`
  `hasNext()`
  Always returns false, this iterator contains no elements.
  `boolean`
  `hasPrevious()`
  Always returns false, this iterator contains no elements.
  `K`
  `next()`
  Always throws IllegalStateException, this iterator contains no elements.
  `int`
  `nextIndex()`
  Always returns 0, this iterator contains no elements.
  `K`
  `previous()`
  Always throws IllegalStateException, this iterator contains no elements.
  `int`
  `previousIndex()`
  Always returns -1, this iterator contains no elements.
  `void`
  `remove()`
  Always throws IllegalStateException, this iterator contains no elements.
  `void`
  `reset()`
  Resets the iterator back to the position at which the iterator was created.
  `void`
  `set(K ignored)`
  Always throws IllegalStateException, this iterator contains no elements.
  `V`
  `setValue(V ignored)`
  Always throws IllegalStateException.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### AbstractEmptyMapIterator

    public AbstractEmptyMapIterator()
    Constructs a new AbstractEmptyMapIterator.

- ## Method Details

  - ### getKey

    public K getKey()
    Always throws IllegalStateException.
    Returns:
      Always throws IllegalStateException.
    Throws:
      `IllegalStateException` - Always thrown.

  - ### getValue

    public V getValue()
    Always throws IllegalStateException.
    Returns:
      Always throws IllegalStateException.
    Throws:
      `IllegalStateException` - Always thrown.

  - ### setValue

    public V setValue(V ignored)
    Always throws IllegalStateException.
    Parameters:
      `ignored` - ignored.
    Returns:
      Always throws IllegalStateException.
    Throws:
      `IllegalStateException` - Always thrown.

  - ### add

    @Deprecated public void add(K ignored)
    Deprecated.
    Will be removed in 5.0 without replacement.
    Always throws UnsupportedOperationException.
    Parameters:
      `ignored` - ignore.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### hasNext

    public boolean hasNext()
    Always returns false, this iterator contains no elements.
    Specified by:
      `hasNext` in interface `Iterator<E>`
    Returns:
      Always false.

  - ### hasPrevious

    public boolean hasPrevious()
    Always returns false, this iterator contains no elements.
    Returns:
      Always false.

  - ### next

    public K next()
    Always throws IllegalStateException, this iterator contains no elements.
    Specified by:
      `next` in interface `Iterator<E>`
    Returns:
      Always throws IllegalStateException.
    Throws:
      `IllegalStateException` - Always thrown.

  - ### nextIndex

    public int nextIndex()
    Always returns 0, this iterator contains no elements.
    Returns:
      Always returns 0.

  - ### previous

    public K previous()
    Always throws IllegalStateException, this iterator contains no elements.
    Returns:
      Always throws IllegalStateException.
    Throws:
      `IllegalStateException` - Always thrown.

  - ### previousIndex

    public int previousIndex()
    Always returns -1, this iterator contains no elements.
    Returns:
      Always returns -1.

  - ### remove

    public void remove()
    Always throws IllegalStateException, this iterator contains no elements.
    Specified by:
      `remove` in interface `Iterator<E>`
    Throws:
      `IllegalStateException` - Always thrown.

  - ### reset

    public void reset()
    Description copied from interface: `ResettableIterator`
    Resets the iterator back to the position at which the iterator was created.
    Specified by:
      `reset` in interface `ResettableIterator<E>`

  - ### set

    public void set(K ignored)
    Always throws IllegalStateException, this iterator contains no elements.
    Parameters:
      `ignored` - ignored.
    Throws:
      `IllegalStateException` - Always thrown.